Bug 984935 - [abrt] arandr-0.1.7.1-1.fc19: xrandr.py:93:_load_from_commandlineargs:KeyError: 'DIN'
[abrt] arandr-0.1.7.1-1.fc19: xrandr.py:93:_load_from_commandlineargs:KeyErro...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: arandr (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Maros Zatko
Fedora Extras Quality Assurance
abrt_hash:7663ba4d111ab002cf761f554d6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 08:14 EDT by Subin Francis
Modified: 2015-02-17 11:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:11:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.44 KB, text/plain)
2013-07-16 08:14 EDT, Subin Francis
no flags Details
File: core_backtrace (589 bytes, text/plain)
2013-07-16 08:14 EDT, Subin Francis
no flags Details
File: environ (1.87 KB, text/plain)
2013-07-16 08:14 EDT, Subin Francis
no flags Details

  None (edit)
Description Subin Francis 2013-07-16 08:14:03 EDT
Version-Release number of selected component:
arandr-0.1.7.1-1.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/bin/arandr
executable:     /usr/bin/arandr
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
xrandr.py:93:_load_from_commandlineargs:KeyError: 'DIN'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/screenlayout/gui.py", line 64, in wrapper
    return function(*args_out)
  File "/usr/lib/python2.7/site-packages/screenlayout/gui.py", line 235, in do_open
    self.filetemplate = self.widget.load_from_file(f)
  File "/usr/lib/python2.7/site-packages/screenlayout/widget.py", line 88, in load_from_file
    template = self._xrandr.load_from_string(data)
  File "/usr/lib/python2.7/site-packages/screenlayout/xrandr.py", line 79, in load_from_string
    self._load_from_commandlineargs(lines[xrandrlines[0]].strip())
  File "/usr/lib/python2.7/site-packages/screenlayout/xrandr.py", line 93, in _load_from_commandlineargs
    o = self.configuration.outputs[on]
KeyError: 'DIN'

Local variables in innermost frame:
on: 'DIN'
commandline: 'xrandr --output DIN --off --output DVI-1 --mode 1280x1024 --pos 0x0 --rotate normal --output DVI-0 --mode 1440x900 --pos 1280x124 --rotate normal'
args: ['--output', 'DIN', '--off', '--output', 'DVI-1', '--mode', '1280x1024', '--pos', '0x0', '--rotate', 'normal', '--output', 'DVI-0', '--mode', '1440x900', '--pos', '1280x124', '--rotate', 'normal']
oa: ['--off']
self: <screenlayout.xrandr.XRandR object at 0x7f21d10be290>
options: {'DIN': ['--off'], 'DVI-1': ['--mode', '1280x1024', '--pos', '0x0', '--rotate', 'normal'], 'DVI-0': ['--mode', '1440x900', '--pos', '1280x124', '--rotate', 'normal']}
Comment 1 Subin Francis 2013-07-16 08:14:08 EDT
Created attachment 774181 [details]
File: backtrace
Comment 2 Subin Francis 2013-07-16 08:14:11 EDT
Created attachment 774182 [details]
File: core_backtrace
Comment 3 Subin Francis 2013-07-16 08:14:14 EDT
Created attachment 774183 [details]
File: environ
Comment 4 Fedora End Of Life 2015-01-09 13:56:49 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 11:11:12 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.